#include <mosis/util/logger.h>
#include <iostream>

#ifdef MOSIS_PLATFORM_ANDROID
#include <android/log.h>
#define LOG_TAG "MosisOS"

void Logger::Log(const std::string &message)
{
    __android_log_print(ANDROID_LOG_INFO, LOG_TAG, "%s", message.c_str());
}

#else
// Desktop/other platforms - use stdout
void Logger::Log(const std::string &message)
{
    std::cout << message << std::endl;
}

#endif
